<?php
if (!defined('IN_CONTEXT')) die('access violation error!');

class FixMode {
    public function execute() {
        if (SessionHolder::get('user/s_role', '{guest}') == '{admin}') {
            SessionHolder::set('page/status', 'edit');
        } else {
            SessionHolder::set('page/status', 'view');
        }
    }
}
?>
